Gentoo Logo

NVIDIA drivers: Denial of Service

Content:

1.  Gentoo Linux Security Advisory

Version Information

Advisory Reference GLSA 200708-14 / nvidia-drivers
Release Date August 19, 2007
Latest Revision October 11, 2007: 03
Impact normal
Exploitable local
Package Vulnerable versions Unaffected versions Architecture(s)
x11-drivers/nvidia-drivers = 100.14.06 >= 71.86.01, revision >= 1.0.7185, revision >= 1.0.9639 All supported architectures

Related bugreports: #183567

Synopsis

A vulnerability has been discovered in the NVIDIA graphic drivers, allowing for a Denial of Service.

2.  Impact Information

Background

The NVIDIA drivers provide support for NVIDIA graphic boards.

Description

Gregory Shikhman discovered that the default Gentoo setup of NVIDIA drivers creates the /dev/nvidia* with insecure file permissions.

Impact

A local attacker could send arbitrary values into the devices, possibly resulting in hardware damage on the graphic board or a Denial of Service.

3.  Resolution Information

Workaround

There is no known workaround at this time.

Resolution

All NVIDIA drivers users should upgrade to the latest version:

Code Listing 3.1: Resolution

# emerge --sync
# emerge --ask --oneshot --verbose "x11-drivers/nvidia-drivers"

4.  References



Print

Page updated August 19, 2007

Summary: This is a Gentoo Linux Security Advisory

Security Team
Contact Address

Donate to support our development efforts.

Copyright 2001-2014 Gentoo Foundation, Inc. Questions, Comments? Contact us.